| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iObjectNameChangeListener Struct Reference
[Utilities]

A callback that you can implement to get notified of name changes in an iObject. More...

`#include <iutil/object.h>`

Inheritance diagram for iObjectNameChangeListener:

[legend]
List of all members.

## Public Member Functions
virtual void | NameChanged (iObject *obj, const char *oldname, const char *newname)=0
| Object name has changed.

## Detailed Description

A callback that you can implement to get notified of name changes in an iObject.

Definition at line 67 of file object.h.

## Member Function Documentation

virtual void iObjectNameChangeListener::NameChanged | ( | iObject * | obj,
|  | const char * | oldname,
|  | const char * | newname |
| ) |  |  | `[pure virtual]`

Object name has changed.

The documentation for this struct was generated from the following file:

- iutil/object.h